khoshravan Posted August 13, 2011 Posted August 13, 2011 What I want to do is to combine two commands, editing (copy, move, rotate) and change layer. I think I have seen this before somewhere but can't find now. Will be happy if you could guide me. Quote
khoshravan Posted August 14, 2011 Author Posted August 14, 2011 Nobody wants to reply to this post? Quote
irneb Posted August 15, 2011 Posted August 15, 2011 Or a lisp which simply copies to the current layer instead of having to pick an entity on the target layer, or select it's name from the dialog. Just make sure you use Enter/Space to stop the copy instead of Esc when you use the Multiple option: (defun c:Copy2CurLay (/ ss el en) (setq el (entlast)) (if (setq ss (ssget)) (progn (command "._COPY" ss "") (while (= (logand (getvar 'CmdActive) 1) 1) (command pause)) (setq en (entnext el)) (while en (entmod (list (cons -1 en) (cons 8 (getvar 'CLayer)))) (setq en (entnext en)) ) ) ) (princ) ) Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.